Subject: Re: bug#27125: [PATCH] gnu: Add git-remote-gcrypt

From: [email-masked] (Ludovic Courtès)
Date: Tue, 30 May 2017 18:08:03 +0200

Hello André,

André <[email-masked]> skribis:

> From 65d318af9c5bbf801d47417745d0651352caf557 Mon Sep 17 00:00:00 2001
> From: =?UTF-8?q?Andr=C3=A9=20Miranda?= <[email-masked]>
> Date: Sun, 28 May 2017 13:34:10 -0300
> Subject: [PATCH] gnu: Add 'git-remote-gcrypt' package
>
> * gnu/packages/version-control.scm: Add 'git-remote-gcrypt' package.

I made the minor modifications below, adjusted the commit log to match
our conventions, and pushed.  Well done for a first patch!  :-)

Thank you and welcome!

Ludo’.

diff --git a/gnu/packages/version-control.scm b/gnu/packages/version-control.scm
index eced2c953..12fc2c6cc 100644
--- a/gnu/packages/version-control.scm
+++ b/gnu/packages/version-control.scm
@@ -14,6 +14,7 @@
 ;;; Copyright © 2017 Tobias Geerinckx-Rice <[email-masked]>
 ;;; Copyright © 2017 Vasile Dumitrascu <[email-masked]>
 ;;; Copyright © 2017 Clément Lassieur <[email-masked]>
+;;; Copyright © 2017 André <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -449,20 +450,21 @@ to lock down your entire repository.")
                     #t))))
    (home-page "https://spwhitton.name/tech/code/git-remote-gcrypt/")
    (synopsis "Whole remote repository encryption")
-   (description "git-remote-gcrypt is a git remote helper to push and pull from
-repositories encrypted with GnuPG.  It works with the standard git transports,
+   (description "git-remote-gcrypt is a Git remote helper to push and pull from
+repositories encrypted with GnuPG.  It works with the standard Git transports,
 including repository hosting services like GitLab.
 
-Remote helper programs are invoked by git to handle network transport.  This
-helper handles gcrypt:: URLs that will access a remote repository encrypted with
-GPG, using our custom format.
+Remote helper programs are invoked by Git to handle network transport.  This
+helper handles @code{gcrypt:} URLs that access a remote repository encrypted
+with GPG, using our custom format.
 
-Supported locations are local, rsync:// and sftp://, where the repository is
-stored as a set of files, or instead any <giturl> where gcrypt will store the
-same representation in a git repository, bridged over arbitrary git transport.
+Supported locations are local, @code{rsync://} and @code{sftp://}, where the
+repository is stored as a set of files, or instead any Git URL where gcrypt
+will store the same representation in a Git repository, bridged over arbitrary
+Git transport.
 
-The aim is to provide confidential, authenticated git storage and collaboration
-using typical untrusted file hosts or services.")
+The aim is to provide confidential, authenticated Git storage and
+collaboration using typical untrusted file hosts or services.")
    (license license:gpl3+)))
 
 (define-public cgit